# application




# embedded server



# datasource



# 本地开发
#spring.datasource.url=jdbc:mysql://127.0.0.1/ordermanager_uat?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=root
#spring.datasource.password=Rain!^**!@2016

#内网地址：rm-wz949306t03an8m8s.mysql.rds.aliyuncs.com	内网端口：3306
#外网地址：rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com	外网端口：3306

# 测试 RDS
# 外网地址
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanager_uat?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s4o.mysql.rds.aliyuncs.com/ordermanger_test?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
# 内网地址
#spring.datasource.url=jdbc:mysql://rm-wz949306t03an8m8s.mysql.rds.aliyuncs.com/ordermanager_uat?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.username=ordertest
spring.datasource.password=Order$@u0072


#内网地址：rm-wz920yrai5s2t95y1.mysql.rds.aliyuncs.com	内网端口：3306
#外网地址：rm-wz920yrai5s2t95y1o.mysql.rds.aliyuncs.com	外网端口：3306

# 生产 RDS
# 外网地址
#spring.datasource.url=jdbc:mysql://rm-wz920yrai5s2t95y1o.mysql.rds.aliyuncs.com/order_production?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
# 内网地址
#spring.datasource.url=jdbc:mysql://rm-wz920yrai5s2t95y1.mysql.rds.aliyuncs.com/order_production?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
#spring.datasource.username=avic_order
#spring.datasource.password=sjE9hdjeIPJw6Mki

# redis
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=2
spring.redis.password=
spring.redis.timeout=60000ms

#SpringBoot 2.X版本整合 Redis时，偶尔出现连接超时情况 2.x 版本自带的Redis客户端是 lettuce
spring.redis.jedis.pool.minIdle=0
spring.redis.jedis.pool.maxIdle=8
spring.redis.jedis.pool.maxWait=-1
spring.redis.jedis.pool.maxActive=8


# mybatis & pagehelper


#弃用? start
# dubbo && zookeeper
#spring.dubbo.application.name=provider
#spring.dubbo.registry.address=zookeeper://47.107.240.183:2181?backup=112.74.48.214:9092,120.79.80.138:9092
#spring.dubbo.protocol.name=dubbo
#spring.dubbo.protocol.port=20880
#spring.dubbo.provider.retries=0
#spring.dubbo.provider.timeout=10000
#弃用? start


# Dubbo Registry
#dubbo.registry.address=zookeeper://47.107.240.183:2181?backup=112.74.48.214:9092,120.79.80.138:9092
dubbo.registry.address=zookeeper://127.0.0.1:2181

# Dubbo Protocol
dubbo.application.name=provider
dubbo.protocol.name=dubbo
dubbo.protocol.port=20880
dubbo.provider.retries=0
dubbo.provider.timeout=30000



# push message url & h5 url
pushMessage.orgId=627
pushMessage.url=http://wx.palmnest.com/super_service/wechat/pushmsgout/phonemsg
h5.url=http://119.23.39.237/avicfile/ordermanger/h5/#/


goods.transport.fiscal_code=FFFFF
goods.transport.tax_code=FFFFF
goods.transport.tax_rate=0.06

# 集采测试环境
qchjc.domain=http://139.9.216.19:8826
# 采购单位账单开票状态
qchjc.customer.makeInvoiceStatusSyncApi=/mall/reconciliationBuyerInvoice/InvoiceStatusSync
# 采购单位账单收款状态
qchjc.customer.receivePaymentStatusSyncApi=/mall/reconciliationBuyerInvoice/recPaymentStatusSync
# 采购单位对账单作废
qchjc.customer.statementCancelApi=/mall/reconciliationBuyerInvoice/cancel
# 供应商收票状态
qchjc.supplier.receiveInvoiceStatusSyncApi=/mall/reconciliationSupplier/recInvoiceStatusSync
# 供应商账单付款状态
qchjc.supplier.paymentStatusSyncApi=/mall/reconciliationSupplier/paymentStatusSync
# 供应商对账单作废
qchjc.supplier.statementCancelApi=/mall/reconciliationSupplier/cancel

qchjc.push.enable=true